Bug 476776 - Review Request: python-shove - Common object storage frontend.
Review Request: python-shove - Common object storage frontend.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 21:32 EST by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.1.3-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 15:46:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkeating: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-12-16 21:32:48 EST
Spec URL: http://lmacken.fedorapeople.org/rpms/python-shove.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-shove-0.1.3-1.fc10.src.rpm
Description:
Common object storage frontend that supports dictionary-style access, object serialization and compression, and multiple storage and caching backends.

Currently supported storage backends are:

        * Amazon S3 Web Service
        * Berkeley Source Database
        * Filesystem
        * Firebird
        * FTP
        * DBM
        * Durus
        * Memory
        * Microsoft SQL Server
        * MySQL
        * Oracle
        * PostgreSQL
        * SQLite
        * Subversion
        * Zope Object Database (ZODB)

Currently supported caching backends are:

        * Filesystem
        * Firebird
        * memcached
        * Memory
        * Microsoft SQL Server
        * MySQL
        * Oracle
        * PostgreSQL
        * SQLite
Comment 1 Jesse Keating 2008-12-17 17:32:35 EST
Taking review.
Comment 2 Jesse Keating 2008-12-17 17:43:55 EST
- Patch should have a comment, and info about upstream status
- Mixed use of $RPM_BUILD_ROOT and %{buildroot}
- Builds OK in mock
- rpmlint output:
python-shove.noarch: W: summary-ended-with-dot Common object storage frontend.
python-shove.noarch: E: description-line-too-long Common object storage frontend that supports dictionary-style access, object serialization and compression, and multiple storage and caching backends.
python-shove.noarch: W: non-standard-group Development/Library


- upstream source matches
- All things in store/tests/ are unlicensed.

-- Summary --
Fix up the rpmlint stuff
ask upstream about license on tests/
Fix macro usage to be consistant
Add comment on the patch.
Comment 3 Luke Macken 2009-01-06 17:20:35 EST
http://lmacken.fedorapeople.org/rpms/python-shove-0.1.3-2.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-shove.spec

* Tue Jan 06 2009 Luke Macken <lmacken@redhat.com> 0.1.3-2
- Use consistent macros
- Add comment about patch
- Make rpmlint happy
Comment 4 Jesse Keating 2009-01-13 19:18:04 EST
Looks good now.  Approving.
Comment 5 Luke Macken 2009-02-09 12:09:20 EST
New Package CVS Request
=======================
Package Name: python-shove
Short Description: Common object storage frontend
Owners: lmacken
Branches: F-9 F-10 EL-4 EL-5
Comment 6 Kevin Fenzi 2009-02-10 17:05:39 EST
cvs done.
Comment 7 Fedora Update System 2009-02-24 00:24:09 EST
python-shove-0.1.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-shove-0.1.3-2.fc10
Comment 8 Fedora Update System 2009-02-24 00:24:14 EST
python-shove-0.1.3-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-shove-0.1.3-2.fc9
Comment 9 Fedora Update System 2009-02-24 15:46:26 EST
python-shove-0.1.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-02-24 15:48:48 EST
python-shove-0.1.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.